Skip to main content
POST
/
v1
/
status-pages
/
{statusPageId}
/
subscriptions
/
bulk
Bulk create subscriptions for a specific status page
curl --request POST \
  --url https://api.checklyhq.com/v1/status-pages/{statusPageId}/subscriptions/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptions": [
    {
      "type": "EMAIL",
      "config": "<string>"
    }
  ]
}
'
{
  "created": 123,
  "skipped": 123,
  "status": "PENDING"
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

statusPageId
string
required

Body

application/json
subscriptions
object[]
required

The list of subscriptions to create (max 100).

Required array length: 1 - 100 elements

Response

Created

created
number
required

The number of subscriptions successfully created.

skipped
number
required

The number of subscriptions skipped (already exist).

status
enum<string>
required

The status of the created subscriptions.

Available options:
PENDING,
VERIFIED